WordPress 4.0.1

6 posts / 0 new
Last post
#1 Fri, 11/21/2014 - 08:22
jimdunn

WordPress 4.0.1

Hey Joe,

Will you have the WordPress 4.0.1 installer/upgrade script available for Virtualmin PRO soon?

Thx!

Fri, 11/21/2014 - 09:05
andreychek

Howdy,

Yup! And just to make sure, I'll mention that to Jamie.

-Eric

Fri, 11/21/2014 - 10:04
jimdunn

Please hurry, there was some security issue that came up and the 4.0.1 fixes it.

Fri, 11/21/2014 - 15:24 (Reply to #3)
ReArmedHalo

Hello,

If you already have a Wordpress installation, you could just use the updater inside the Wordpress administration dashboard (wp-admin by default).

Also, related side question, I was under the impression that the install scripts only installed the software? I wasn't aware that it could also update it?

-Dustin

Fri, 11/21/2014 - 15:54 (Reply to #4)
jimdunn

It's true, you *could* just update from within WP... but I have dozens of clients, with their own installs... and I don't have their WP logins... so... can't.

And yes, when Virtualmin has the 4.0.1 update script, then you can go into SYSTEM-SETTINGS, SCRIPT-INSTALLERS, UPGRADE-SCRIPTS... click click... and *all* scripts on your server will be auto-upgraded...

NICE! : )

Fri, 11/21/2014 - 16:04 (Reply to #5)
ReArmedHalo

Cool! Learn something new everyday!

I guess you could also just advice your clients of the security issue and advice them to update themselves. If they don't you can update for them when Virtualmin has the updated scripts. That way if any of the installations does get compromised due to it, the blame cannot be on you as you advised them to run the update.

Also, just my opinion, I would advice you not update Wordpress for the client. They might require a specific version for plugins they run for example.

-Dustin